## command-not-found 0.2.17ubuntu1

=== po/Makefile ===

DOMAIN=command-not-found
PO_FILES := $(wildcard *.po)

all: update-po

# update the pot
$(DOMAIN).pot:
	intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	intltool-update -r -g $(DOMAIN); 

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# dummy target 
update-po: $(DOMAIN).pot merge-po $(patsubst %.po,%.mo,$(wildcard *.po))

.PHONY: update-po

## command-not-found 0.1.0

=== debian/changelog ===
command-not-found (0.1.0) edgy; urgency=low

  [Zygmunt Krynicki]
  * updated the suggestions database
  * added support for update-alternative calls in the postinst (yeah!)
  * code cleanups
  [Michael Vogt]
  * updated the binary database wit the latest edgy
  * the command-not-found-data is build pre arch now
  

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Sep 2006 19:33:33 +0200

command-not-found (0.0.2) edgy; urgency=low

  * return 127 to bash if nothing was found in the database
  * update the database 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Aug 2006 15:05:14 +0200

command-not-found (0.0.1) edgy; urgency=low

  * initial release
  * start of the implementation of 
    https://wiki.ubuntu.com/CommandNotFoundMagic
  * contains the current commands on edgy
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Nov 2005 16:34:54 +0100

=== debian/control ===
Source: command-not-found
Section: admin
Priority: optional
Maintainer: Zygmunt Krynicki <zkrynicki@gmail.com>
Build-Depends: debhelper (>= 4.0.0), python, python-dev, devscripts, intltool, python-apt (>= 0.6.12) 
Standards-Version: 3.7.2

Package: command-not-found
Architecture: all
Depends: python, command-not-found-data
Description: Suggest installation of packages in interactive bash sessions
 This package will install handler for command_not_found that lookups
 programs not currently installed but available from the repositiories.

Package: command-not-found-data
Architecture: any
Description: Set of data files for command-not-found.
 Data for edgy

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGNAME=command-not-found
DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	./setup.py build

	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	./setup.py clean --all
	find . -name "*.so" -exec rm {} \;
	find . -name "*.o" -exec rm {} \;
	find . -name "*.pyc" -exec rm {} \;

	# clean the database files as well
	find . -name "*.db" -exec rm {} \;

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# build the binary database
	(cd UnifiedDataExtractor;  \
	 ./create-binary-database; \
	  mv *.db ../data/programs.d/)

	# Add here commands to install the package into debian/$(PKGNAME).
	./setup.py install --prefix=$(CURDIR)/debian/$(PKGNAME)/usr

	# move the data files to a seperate package
	mkdir -p debian/command-not-found-data/usr/share
	mv debian/command-not-found/usr/share/command-not-found/ debian/command-not-found-data/usr/share


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


arch-build:
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/$(PKGNAME)-$(DEBVER)
	tar --no-recursion -c -f - `bzr inventory` | (cd debian/arch-build/$(PKGNAME)-$(DEBVER);tar xf -)
	(cd debian/arch-build/$(PKGNAME)-$(DEBVER); $(DEB_BUILD_PROG))


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## command-not-found 0.2.4

=== debian/changelog ===
command-not-found (0.2.4) feisty; urgency=low

  [ Michael Vogt ]
  * remove support for suggestins.d/ dir (not used currently and
    may break stuff)
  
  [ Zygmunt Krynicki ]
  * Fixed launchpad #95794: warning emitted about not finding group name 
  * data files updated

  [ Johan Kiviniemi ]
  * zsh_command_not_found: unset the command variable, otherwise an empty
    line will rerun command-not-found. Thanks to Chris Ball for suggesting
    this (LP: #92942).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Apr 2007 17:39:09 +0200

command-not-found (0.2.3) feisty; urgency=low

  [Johan Kiviniemi]
  * zsh_command_not_found, README, setup.py: Added support for zsh. 
    (LP#92942, thanks!)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Mar 2007 23:57:58 +0100

command-not-found (0.2.2) feisty; urgency=low

  * refreshed database to current feisty
  * set maintainer field to ubuntu 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Mar 2007 19:00:49 +0100

command-not-found (0.2.1) feisty; urgency=low

  * always return 127 to be compatible with the shell (lp: #67726)
  * make the message less confusing for non-admin users
    (Thanks to Chris Wagner for his patch, lp: #64220)
  * Grammar fixes (lp: #64542)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Jan 2007 18:11:08 +0100

command-not-found (0.2.0) feisty; urgency=low

  [Zygmunt Krynicki]
  * applied patch from Daniel Werner <daniel.d.werner@googlemail.com>
  * minor fixes to the suggestions database
  * updated the README file
  [Michael Vogt]
  * make the extraction skip package not available in the current
    distro release
  * updated the binary database with the latest feisty
  * show component information for other components than main

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  5 Jan 2007 09:56:15 +0100

=== debian/control ===
Source: command-not-found
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
XSBC-Original-Maintainer: Zygmunt Krynicki <zkrynicki@gmail.com>
Build-Depends: debhelper (>= 5.0.38), python, python-dev, python-central (>= 0.5.6), devscripts, intltool, python-apt (>= 0.6.12) 
Standards-Version: 3.7.2
XS-Python-Version: current
XS-Vcs-Bzr: http://launchpad.net/~ubuntu-core-dev/command-not-found/ubuntu

Package: command-not-found
Architecture: all
Depends: ${python:Depends}, command-not-found-data
XB-Python-Version: ${python:Versions}
Description: Suggest installation of packages in interactive bash sessions
 This package will install handler for command_not_found that lookups
 programs not currently installed but available from the repositiories.

Package: command-not-found-data
Architecture: any
Description: Set of data files for command-not-found.
 Data for edgy

=== debian/rules ===
--- 
+++ 
@@ -103,7 +103,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	dh_python
+	dh_pycentral
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
@@ -113,10 +113,14 @@
 
 arch-build:
 	rm -rf debian/arch-build
+	# get the current data
+	#(cd UnifiedDataExtractor; rm -f data.tar.gz ; wget http://people.ubuntu.com/~mvo/command-not-found/data.tar.gz ; tar xvf data.tar.gz)
 	mkdir -p debian/arch-build/$(PKGNAME)-$(DEBVER)
-	tar --no-recursion -c -f - `bzr inventory` | (cd debian/arch-build/$(PKGNAME)-$(DEBVER);tar xf -)
+	# export the bzr tree
+	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKGNAME)-$(DEBVER);tar xf -)
+	# move the scan.data into the build-tree (we do not keep it in bzr)
+	cp UnifiedDataExtractor/scan.data debian/arch-build/$(PKGNAME)-$(DEBVER)/UnifiedDataExtractor
 	(cd debian/arch-build/$(PKGNAME)-$(DEBVER); $(DEB_BUILD_PROG))
-
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## command-not-found 0.2.8ubuntu2

=== debian/changelog ===
command-not-found (0.2.8ubuntu2) gutsy; urgency=low

  * debian/control:
    - fix command not found description
  * scan.data updated to current gutsy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 06 Oct 2007 13:06:23 +0200

command-not-found (0.2.8ubuntu1) gutsy; urgency=low

  [ Michael Vogt ]
  * added missing pyhton-apt dependency (LP: #138842)

  [ Niklas Klein ]
  * CommandNotFound/CommandNotFound.py added test for propper set PATH variable.
    Backport from version 0.3 (LP: #111255).

 -- Niklas Klein <kleinernik@gmail.com>  Fri, 24 Sep 2007 09:33:22 +0200

command-not-found (0.2.7) gutsy; urgency=low

  [Zygmunt Krynicki]
  * data/suggestions.d:
    - removed
  * CommandNotFound/CommandNotFound.py:
    - fix typo in string substitution (LP: #131435)
    - only print components that are really required (LP: #133869)
  * setup.py:
    - move to /usr/lib, no end-user application (LP: #112411)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 22 Aug 2007 06:49:01 +0200

command-not-found (0.2.6) gutsy; urgency=low

  * updated command-not-found data to current gutsy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Aug 2007 22:00:55 +0200

command-not-found (0.2.5) gutsy; urgency=low

  * Send output to stderr, not stdout (LP: #129257).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jul 2007 17:12:32 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: command-not-found
 Architecture: all
-Depends: ${python:Depends}, command-not-found-data
+Depends: ${python:Depends}, python-apt, command-not-found-data
 XB-Python-Version: ${python:Versions}
 Description: Suggest installation of packages in interactive bash sessions
  This package will install handler for command_not_found that lookups
@@ -19,5 +19,5 @@
 Package: command-not-found-data
 Architecture: any
 Description: Set of data files for command-not-found.
- Data for edgy
+ The required data for the command-not-found application.

=== debian/rules ===
--- 
+++ 
@@ -71,6 +71,12 @@
 
 	# Add here commands to install the package into debian/$(PKGNAME).
 	./setup.py install --prefix=$(CURDIR)/debian/$(PKGNAME)/usr
+	# Move our script from /usr/bin to /usr/lib (not meant for end-users)
+	install -d $(CURDIR)/debian/command-not-found/usr/lib
+	mv $(CURDIR)/debian/command-not-found/usr/bin/command-not-found $(CURDIR)/debian/command-not-found/usr/lib/command-not-found
+	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/command-not-found/usr/bin
+	# Get rid of bash integration script, got merged to bash
+	rm $(CURDIR)/debian/command-not-found/etc/bash_command_not_found
 
 	# move the data files to a seperate package
 	mkdir -p debian/command-not-found-data/usr/share

## command-not-found 0.2.17ubuntu1

=== debian/changelog ===
command-not-found (0.2.17ubuntu1) hardy; urgency=low

  * scan.data:
    - upated for RC

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Apr 2008 10:59:54 +0200

command-not-found (0.2.16ubuntu1) hardy; urgency=low

  * updated to latest hardy 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Apr 2008 10:36:34 +0200

command-not-found (0.2.15ubuntu1) hardy; urgency=low

  [ Kjell Braden ]
   * Don't run command-not-found from the shell scripts when it has been
     removed in the meantime (LP: #194939)
 
  [ Michael Vogt ]
  * CommandNotFound/CommandNotFound.py:
    - do not advise on ".." (LP: # 195090) - thanks to Thomas Perl
    - do not crash on problems with python-apt (LP: #161804)
  * debian/control:
    - improve description (LP: #144153)
  * command-not-found:
    - make the crash message a bit more friendly
  * use lgettext() instead of gettext() (LP: #161159)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Mar 2008 10:01:20 +0100

command-not-found (0.2.14ubuntu1) hardy; urgency=low

  * updated data for alpha-6
  * fixed bug in data extraction code for hardlinks 
    (git-diff and friends was not in the index because of this)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Mar 2008 17:00:42 +0100

command-not-found (0.2.13ubuntu1) hardy; urgency=low

  * updated data for alpha-5

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Feb 2008 19:24:40 +0100

command-not-found (0.2.12ubuntu1) hardy; urgency=low

  * updated data for alpha-3

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Jan 2008 15:25:11 +0100

command-not-found (0.2.11ubuntu3) hardy; urgency=low

  * CommandNotFound/CommandNotFound.py: When $HOME is not set, fall back to
    /root instead of crashing with a type error. (LP: #177934)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Jan 2008 15:57:51 +0100

command-not-found (0.2.11ubuntu2) hardy; urgency=low

  * python-gdbm added to Depends, not just b-d 

 -- Rick Clark <rick.clark@ubuntu.com>  Sun, 09 Dec 2007 15:51:19 -0500

command-not-found (0.2.11ubuntu1) hardy; urgency=low

  * fix FTBFS by adding missing b-d on python-gdbm (thanks to
    Michael Bienia)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Dec 2007 10:52:32 +0100

command-not-found (0.2.10ubuntu1) hardy; urgency=low

  * command-not-found:
    - add --ignore-installed parameter to display the packages
      that have the given command even if the command is installed
  * updated data for hardy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Dec 2007 21:43:49 +0100

command-not-found (0.2.9ubuntu1) hardy; urgency=low

  * switch from dbm to gdbm

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 10 Nov 2007 14:51:51 -0500

=== debian/control ===
Source: command-not-found
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
XSBC-Original-Maintainer: Zygmunt Krynicki <zkrynicki@gmail.com>
Build-Depends: debhelper (>= 5.0.38), python, python-dev, python-central (>= 0.5.6), devscripts, intltool, python-apt (>= 0.6.12), python-gdbm
Standards-Version: 3.7.2
XS-Python-Version: current
XS-Vcs-Bzr: http://launchpad.net/~ubuntu-core-dev/command-not-found/ubuntu

Package: command-not-found
Architecture: all
Depends: ${python:Depends}, python-apt, command-not-found-data, python-gdbm
XB-Python-Version: ${python:Versions}
Description: Suggest installation of packages in interactive bash sessions
 This package will install handler for command_not_found that lookups
 programs not currently installed but available from the repositiories.

Package: command-not-found-data
Architecture: any
Description: Set of data files for command-not-found.
 This package provides the required data used by the command-not-found 
 application.

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	find . -name "*.pyc" -exec rm {} \;
 
 	# clean the database files as well
-	find . -name "*.db" -exec rm {} \;
+	find . -name "*.gdb" -exec rm {} \;
 
 	dh_clean

## command-not-found 0.2.26ubuntu1

=== debian/changelog ===
command-not-found (0.2.26ubuntu1) intrepid; urgency=low

  * scan.data updated to current intrepid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 15 Oct 2008 17:45:26 +0200

command-not-found (0.2.25ubuntu2) intrepid; urgency=low

  [ Era Eriksson ]
  * Print where-to-find-command, incorrect-PATH, and crash-guard messages to
    stderr rather than stdout (LP: #212723).

  [ Colin Watson ]
  * Fix various crash bugs in the crash handler (LP: #269821).
  * Adjust crash handler syntax to be friendly to Python 2.4 (LP: #234540).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Oct 2008 13:27:20 +0100

command-not-found (0.2.25ubuntu1) intrepid; urgency=low

  * command-not-found data updated for beta

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Sep 2008 20:43:10 +0200

command-not-found (0.2.24ubuntu1) intrepid; urgency=low

  * updated scan.data for alpha-6

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Sep 2008 23:05:26 +0200

command-not-found (0.2.23ubuntu1) intrepid; urgency=low

  [ Zygmunt Krynicki ]
  * fix crash when PATH is unset (LP: #258572)

  [ Michael Vogt ]
  * scan.data:
    - updated to current intrepid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Aug 2008 15:57:14 +0200

command-not-found (0.2.22ubuntu1) intrepid; urgency=low

  [ Zygmunt Krynicki ]
  * Fixed some locale issues and enchanced error reporting 

  [ Michael Vogt ]
  * scan.data:
    - updated to current intrepid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Aug 2008 18:24:21 +0200

command-not-found (0.2.21ubuntu1) intrepid; urgency=low

  * scan.data:
    - updated to current intrepid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Jul 2008 14:22:17 +0200

command-not-found (0.2.20ubuntu1) intrepid; urgency=low

  * scan.data:
    - updated for intrepid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 30 Jun 2008 16:46:44 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: command-not-found
 Architecture: all
-Depends: ${python:Depends}, python-apt, command-not-found-data, python-gdbm
+Depends: ${python:Depends}, python-apt, command-not-found-data, python-gdbm, lsb-release
 XB-Python-Version: ${python:Versions}
 Description: Suggest installation of packages in interactive bash sessions
  This package will install handler for command_not_found that lookups

## command-not-found 0.2.26ubuntu1.1

=== debian/changelog ===
command-not-found (0.2.26ubuntu1.1) intrepid-proposed; urgency=low

  * update scan.data to fix comoponent mismatches and removals,
    this also fixes the system-cleaner binary name (LP: #290444)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 31 Oct 2008 12:05:54 +0100

## command-not-found 0.2.34ubuntu3

=== debian/changelog ===
command-not-found (0.2.34ubuntu3) jaunty; urgency=low

  * scan.data:
    - updated for RC

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Apr 2009 10:11:13 +0200

command-not-found (0.2.34ubuntu2) jaunty; urgency=low

  * scan.data:
    - updated to current jaunty 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Apr 2009 21:58:51 +0200

command-not-found (0.2.34ubuntu1) jaunty; urgency=low

  * CommandNotFound/CommandNotFound.py:
    - support "priority.txt" file that allows basic priority
      ordering in the output
  * data/priority.txt:
    - add initial version with "openjdk-6-jdk" (LP: #318442)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Mar 2009 13:45:26 +0100

command-not-found (0.2.33ubuntu3) jaunty; urgency=low

  * scan.data:
    - updated for jaunty beta
  * suggest pythonX.Y instead of pythonX.Y-minimal when
    "pythonX.Y" is not found

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Mar 2009 11:07:26 +0100

command-not-found (0.2.33ubuntu2) jaunty; urgency=low

  * scan.data: updated to current jaunty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 Mar 2009 09:21:37 +0100

command-not-found (0.2.33ubuntu1) jaunty; urgency=low

  * debian/rules:
    - update debian/rules to the new python way of installing
      packages 
  * command-not-found:
    - remove "-S" from "#!/usr/bin/python"

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Mar 2009 09:15:48 +0100

command-not-found (0.2.32ubuntu1) jaunty; urgency=low

  [ Steve Langasek ]
  * CommandNotFound/CommandNotFound.py:
    - add support for sorting by components
  
  [ Michael Vogt ]
  * scan.data: updated

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Feb 2009 16:34:20 +0100

command-not-found (0.2.31ubuntu2) jaunty; urgency=low

  * scan.data: fix git data (LP: #318433) by updating
    to the latest data

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 22 Jan 2009 08:53:25 +0100

command-not-found (0.2.31ubuntu1) jaunty; urgency=low

  * scan.data: updated for jaunty alpha3

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Jan 2009 21:08:22 +0100

command-not-found (0.2.30ubuntu1) jaunty; urgency=low

  [ Nick Ellery ]
  * Fixed spelling errors in package description (LP: #285631).

  [ Michael Vogt ]
  * add verify_scan_data.py to check against component mismatches
    and incorrect architecture fields
  * improve diff-scan-data.py

 -- Nick Ellery <nick.ellery@ubuntu.com>  Tue, 04 Nov 2008 17:13:45 -0800

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 Depends: ${python:Depends}, python-apt, command-not-found-data, python-gdbm, lsb-release
 XB-Python-Version: ${python:Versions}
 Description: Suggest installation of packages in interactive bash sessions
- This package will install handler for command_not_found that lookups
- programs not currently installed but available from the repositiories.
+ This package will install a handler for command_not_found that looks up
+ programs not currently installed but available from the repositories.
 
 Package: command-not-found-data
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -70,7 +70,7 @@
 	  mv *.db ../data/programs.d/)
 
 	# Add here commands to install the package into debian/$(PKGNAME).
-	./setup.py install --prefix=$(CURDIR)/debian/$(PKGNAME)/usr
+	./setup.py install --prefix=$(CURDIR)/debian/$(PKGNAME)/usr --install-layout=deb
 	# Move our script from /usr/bin to /usr/lib (not meant for end-users)
 	install -d $(CURDIR)/debian/command-not-found/usr/lib
 	mv $(CURDIR)/debian/command-not-found/usr/bin/command-not-found $(CURDIR)/debian/command-not-found/usr/lib/command-not-found

## command-not-found 0.2.38

=== debian/changelog ===
command-not-found (0.2.38-4) unstable; urgency=medium

  * Handle packages without a section in Contents (Closes: #616448)

 -- Julian Andres Klode <jak@debian.org>  Tue, 15 Nov 2016 20:39:52 +0100

command-not-found (0.2.38-3) unstable; urgency=medium

  * Upload to unstable for nthykier

 -- Julian Andres Klode <jak@debian.org>  Fri, 01 Apr 2016 20:46:40 +0200

command-not-found (0.2.38-2) experimental; urgency=medium

  * Use apt-file 3.0 (Closes: #807745)
  * Recommend 'apt' instead of 'apt-get'

 -- Julian Andres Klode <jak@debian.org>  Sat, 09 Jan 2016 17:15:38 +0100

command-not-found (0.2.38-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh_python2 (Closes: #785969)
  * Drop XB-Python-Version, unused.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 25 Aug 2015 17:20:09 -0700

command-not-found (0.2.38-1) unstable; urgency=low

  * Update to latest release
    - Prints an error message if the command could not be found in the
      database (Closes: #551377)
  * Packaging changes:
    - Use python-support instead of python-central.
    - Switch to the new 3.0 (quilt) source format.
  * Bugfixing:
    - Create symlinks for command-not-found in /usr/lib (used by bash),
      and in /usr/bin for manual invocation (Closes: #543747)
    - Strip package names so they don't contain newlines (Closes: #521276)
    - Fix typo in the description (Closes: #503629)
    - Use mode 0644 for the database files (Closes: #522450), and set
      the umask to 022 while running the update-command-not-found script.
    - Set -e in the maintainer scripts, reported by lintian.
  * Change update-command-not-found to only add the section to the database
    filenames. Delete old cache files in postinst, so users only get the
    new ones.
  * Stop installing /etc/bash_command_not_found, since the standard one
    included in bash works now.

 -- Julian Andres Klode <jak@debian.org>  Mon, 02 Nov 2009 20:43:12 +0100

command-not-found (0.2.26-1) unstable; urgency=low

  * Initial Upload to Debian (Closes: #418613)
  * Fetch the data from available apt sources and drop command-not-found-data:
    - update-command-not-found: Script to update the cache using apt-file files.
    - patches/adjust-paths.diff: Move databases to /var/cache/command-not-found
    - patches/no-enable-component.diff: Remove 'enable the component' messages
  * Re-do packaging
    - Do not install using setup.py, but simply copy needed files
    - Make the Python modules private
    - Move the command-not-found script to /usr/share/command-not-found
    - Build-Depend on debhelper, quilt and python-central only
  * other packaging stuff
    - Upgrade Policy Version to 3.8.0
    - debhelper compat level 7
    - Rewrite copyright file (machine-interpretable)
  * patches/bts.diff: Point to information on how to report bugs in Debian,
    and not to Launchpad. Also update the version number.

 -- Julian Andres Klode <jak@debian.org>  Fri, 24 Oct 2008 20:35:41 +0200

=== debian/control ===
Source: command-not-found
Section: admin
Priority: optional
Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: debhelper (>= 7.0.50), dh-python, python
X-Python-Version: >= 2.5
Standards-Version: 3.8.3

Package: command-not-found
Architecture: all
Depends: ${python:Depends}, apt-file (>= 3.0~exp1~), python-gdbm, lsb-release
Description: Suggest installation of packages in interactive bash sessions
 This package will install handler for command_not_found that looks up
 programs not currently installed but available from the repositories.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

get-orig-source:
	uscan -d


build:

clean:
	dh_testdir
	dh_testroot
	find -name '*.pyc' -delete
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_install
	dh_link

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdirs var/cache/command-not-found/
	dh_installdocs README
	dh_installman debian/update-command-not-found.8
	dh_installchangelogs
	dh_python2
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install get-orig-source

## command-not-found 0.2.38ubuntu4

=== debian/control ===
Source: command-not-found
Section: admin
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
XSBC-Original-Maintainer: Zygmunt Krynicki <zkrynicki@gmail.com>
Build-Depends: debhelper (>= 5.0.38), python, python-dev, python-central (>= 0.5.6), devscripts, intltool, python-apt (>= 0.6.12), python-gdbm
Standards-Version: 3.7.2
XS-Python-Version: all
XS-Vcs-Bzr: http://launchpad.net/~ubuntu-core-dev/command-not-found/ubuntu

Package: command-not-found
Architecture: all
Depends: ${python:Depends}, python-apt, command-not-found-data, python-gdbm, lsb-release
XB-Python-Version: ${python:Versions}
Description: Suggest installation of packages in interactive bash sessions
 This package will install a handler for command_not_found that looks up
 programs not currently installed but available from the repositories.

Package: command-not-found-data
Architecture: any
Description: Set of data files for command-not-found.
 This package provides the required data used by the command-not-found 
 application.

## command-not-found 0.2.40ubuntu5

=== debian/changelog ===
command-not-found (0.2.40ubuntu5) lucid; urgency=low

  * scan.data:
    - updated for RC

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 15 Apr 2010 09:59:35 +0200

command-not-found (0.2.40ubuntu4) lucid; urgency=low

  * updated for beta2

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 06 Apr 2010 08:45:24 +0200

command-not-found (0.2.40ubuntu3) lucid; urgency=low

  * CommandNotFound/CommandNotFound.py:
    - cherry pick "add numbers to the alphabet used for suggestions "
      from trunk (r116) (LP: #507760)
  * scan.data:
    - updated for beta-1

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Mar 2010 09:36:32 +0100

command-not-found (0.2.40ubuntu2) lucid; urgency=low

  * scan.data:
    - updated to current lucid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 24 Feb 2010 13:40:40 +0100

command-not-found (0.2.40ubuntu1) lucid; urgency=low

  * scan.data:
    - updated to current lucid
  * command-not-found:
    - catch KeyboardInterrupt during initial import as
      well (LP: #479716)
    - show "command not found" string only when no command
      was found (LP: #408020)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Jan 2010 09:30:41 +0100

command-not-found (0.2.38ubuntu4) karmic; urgency=low

  * updated to current karmic
  * fix pacakge suggestion for "tex" (LP: #427850)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Oct 2009 09:19:23 +0200

command-not-found (0.2.38ubuntu3) karmic; urgency=low

  * updated for BETA

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 02 Oct 2009 09:21:05 +0200

command-not-found (0.2.38ubuntu2) karmic; urgency=low

  * updated for alpha6

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Sep 2009 11:02:39 +0200

command-not-found (0.2.38ubuntu1) karmic; urgency=low

  * updated data to current karmic
  * print error if a command is not found (bash used to do that
    but with bash-4.0 it does no longer) LP: #420161

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 02 Sep 2009 16:13:17 +0200

command-not-found (0.2.37ubuntu3) karmic; urgency=low

  * updated data to current karmic

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Aug 2009 09:08:51 +0200

command-not-found (0.2.37ubuntu2) karmic; urgency=low

  * scan.data:
    - updated for alpha-3
  * CommandNotFound/CommandNotFound.py:
    - do not give advice if apt-get is not installed 
      (LP: #394842)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Jul 2009 13:17:27 +0200

command-not-found (0.2.37ubuntu1) karmic; urgency=low

  * CommandNotFound/CommandNotFound.py:
    - set min_length for mispelling suggestion to 3 (LP: #396829)
    - set max_length for mispelling suggestion to 15, if there
      are more, just a summary is printed

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jul 2009 10:44:00 +0200

command-not-found (0.2.36ubuntu1) karmic; urgency=low

  * scan.data: updated to current karmic
  * scan.data: add exception for gftp (LP: #99708)
  * debian/postinst:
    - if old/leftover /etc/bash_command_found_found is there,
      remove it (LP: #379851)
  * debian/rules:
    - build with DH_PYCENTRAL=include-links LP: #342003
  * CommandNotFound/util.py:
    - use try gettext if lgettext fails (LP: #282446)
  * debian/copyright: 
    - fix location (LP: #314478)
  * CommandNotFound/CommandNotFound.py:
    - be more robust about missing priority.txt (LP: #359784)
    - add simple spelling correction (LP: #314486)
  * debian/control:
    - build for all python versions (LP: #366096)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 26 Jun 2009 13:58:24 +0200

command-not-found (0.2.35ubuntu2) karmic; urgency=low

  * scan.data: updated for alpha-2

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 08 Jun 2009 11:58:06 +0200

command-not-found (0.2.35ubuntu1) karmic; urgency=low

  * zsh_command_not_found:
    - Use the pseudo-namespace prefix cnf_ for everything.
    - Append the preexec/precmd functions to zsh’s pre*_functions arrays,
      allowing other pre* functions to be used simultaneously.

 -- Johan Kiviniemi <debian@johan.kiviniemi.name>  Fri, 15 May 2009 22:13:00 +0300

## command-not-found 0.2.40ubuntu15

=== debian/changelog ===
command-not-found (0.2.40ubuntu15) maverick; urgency=low

  * scan.data:
    - updated to current maverick

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Sep 2010 15:54:41 +0200

command-not-found (0.2.40ubuntu14) maverick; urgency=low

  * scan.data: 
    - updated for maverick beta

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Aug 2010 17:15:58 +0200

command-not-found (0.2.40ubuntu13) maverick; urgency=low

  * debian/rules:
    - generate pot during build (LP: #549106), thanks to
      David Planella

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Aug 2010 12:23:33 +0200

command-not-found (0.2.40ubuntu12) maverick; urgency=low

  * scan.data: 
    - updated for maverick alpha-3

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 04 Aug 2010 11:59:09 +0200

command-not-found (0.2.40ubuntu11) maverick; urgency=low

  * scan.data: 
    - updated for maverick alpha-2

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Jun 2010 10:13:52 +0200

command-not-found (0.2.40ubuntu10) maverick; urgency=low

  [ Rolf Leggewie ]
  * fix spelling error s/priviledge/privilege/. LP: #574577
  
  [ Michael Vogt ]
  * scan.data: 
    - updated for maverick alpha-1 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 31 May 2010 16:55:04 +0200

## command-not-found 0.2.41ubuntu2

=== debian/changelog ===
command-not-found (0.2.41ubuntu2) natty; urgency=low

  * updated for final natty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Apr 2011 13:07:19 +0200

command-not-found (0.2.41ubuntu1) natty; urgency=low

  * updated to current natty
  * updated to include ports.ubuntu.com as well in the scan.data
    set (LP: #533031)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Apr 2011 14:15:19 +0200

command-not-found (0.2.40ubuntu21) natty; urgency=low

  * scan.data:
    - updated for beta1

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 25 Mar 2011 21:48:16 +0100

command-not-found (0.2.40ubuntu20) natty; urgency=low

  * scan.data:
    - updated for alpha3

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Mar 2011 10:11:33 +0100

command-not-found (0.2.40ubuntu19) natty; urgency=low

  * scan.data:
    - updated to current natty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 17 Feb 2011 17:08:56 +0100

command-not-found (0.2.40ubuntu18) natty; urgency=low

  * scan.data:
    - updated to current natty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 27 Jan 2011 16:56:22 +0100

command-not-found (0.2.40ubuntu17) natty; urgency=low

  * scan.data:
    - updated to current natty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Jan 2011 11:06:41 +0100

command-not-found (0.2.40ubuntu16) natty; urgency=low

  * scan.data:
    - updated to current natty

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 02 Dec 2010 14:26:56 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: command-not-found
 Architecture: all
-Depends: ${python:Depends}, python-apt, command-not-found-data, python-gdbm, lsb-release
+Depends: ${python:Depends}, ${misc:Depends}, python-apt, command-not-found-data, python-gdbm, lsb-release
 XB-Python-Version: ${python:Versions}
 Description: Suggest installation of packages in interactive bash sessions
  This package will install a handler for command_not_found that looks up
@@ -18,6 +18,7 @@
 
 Package: command-not-found-data
 Architecture: any
+Depends: ${misc:Depends}
 Description: Set of data files for command-not-found.
  This package provides the required data used by the command-not-found 
  application.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKGNAME=command-not-found
DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	./setup.py build
	(cd po; intltool-update -p -g command-not-found)
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	./setup.py clean --all
	find . -name "*.so" -exec rm {} \;
	find . -name "*.o" -exec rm {} \;
	find . -name "*.pyc" -exec rm {} \;

	# clean the database files as well
	find . -name "*.gdb" -exec rm {} \;
	find . -name "*.pot" -exec rm {} \;
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# build the binary database
	(cd UnifiedDataExtractor;  \
	 ./create-binary-database; \
	  mv *.db ../data/programs.d/)

	# Add here commands to install the package into debian/$(PKGNAME).
	./setup.py install --prefix=$(CURDIR)/debian/$(PKGNAME)/usr --install-layout=deb
	# Move our script from /usr/bin to /usr/lib (not meant for end-users)
	install -d $(CURDIR)/debian/command-not-found/usr/lib
	mv $(CURDIR)/debian/command-not-found/usr/bin/command-not-found $(CURDIR)/debian/command-not-found/usr/lib/command-not-found
	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/command-not-found/usr/bin
	# Get rid of bash integration script, got merged to bash
	rm $(CURDIR)/debian/command-not-found/etc/bash_command_not_found

	# move the data files to a seperate package
	mkdir -p debian/command-not-found-data/usr/share
	mv debian/command-not-found/usr/share/command-not-found/ debian/command-not-found-data/usr/share


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	DH_PYCENTRAL=include-links dh_pycentral
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


arch-build:
	rm -rf debian/arch-build
	# get the current data
	#(cd UnifiedDataExtractor; rm -f data.tar.gz ; wget http://people.ubuntu.com/~mvo/command-not-found/data.tar.gz ; tar xvf data.tar.gz)
	mkdir -p debian/arch-build/$(PKGNAME)-$(DEBVER)
	# export the bzr tree
	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKGNAME)-$(DEBVER);tar xf -)
	# move the scan.data into the build-tree (we do not keep it in bzr)
	cp UnifiedDataExtractor/scan.data debian/arch-build/$(PKGNAME)-$(DEBVER)/UnifiedDataExtractor
	(cd debian/arch-build/$(PKGNAME)-$(DEBVER); $(DEB_BUILD_PROG))

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## command-not-found 0.2.44ubuntu1

=== debian/changelog ===
command-not-found (0.2.44ubuntu1) oneiric; urgency=low

  * merged lp:~zkrynicki/command-not-found/fix-839609 
    LP: #839609
  * scan.data:
    - updated to current oneiric

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 20 Sep 2011 15:48:12 +0200

command-not-found (0.2.43ubuntu1) oneiric; urgency=low

  [ Zygmunt Krynicki ]
  * lp:~zkrynicki/command-not-found/rework-locale-support:
    - improved gettext handling

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Aug 2011 15:15:50 +0200

command-not-found (0.2.42ubuntu2) oneiric; urgency=low

  * update to curernt oneiric, this includes the new data
    from http://ports.ubuntu.com/~mvo/command-not-found/ to
    get more up-to-date data for the ports

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 25 Aug 2011 10:12:59 +0200

command-not-found (0.2.42ubuntu1) oneiric; urgency=low

  [ Michael Vogt ]
  * updated data to current oneiric
  
  [ Zygmunt Krynicki ]
  * merged lp:~fahlgren/command-not-found/speedup thanks to
    Daniel Fahlgren

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Aug 2011 15:09:19 +0200

command-not-found (0.2.41ubuntu6) UNRELEASED; urgency=low

  * merged lp:~julien-nicoulaud/command-not-found/fix-zsh-hook,
    many thanks to Julien Nicoulaud (LP: #624565)
ents

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 15 Aug 2011 16:56:18 +0200

command-not-found (0.2.41ubuntu5) oneiric; urgency=low

  * updated for alpha3

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 01 Aug 2011 20:08:36 +0200

command-not-found (0.2.41ubuntu4) oneiric; urgency=low

  * updated to current oneiric

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 01 Jul 2011 15:32:10 +0100

command-not-found (0.2.41ubuntu3) oneiric; urgency=low

  [ Steve Langasek ]
  * Migrate to dh_python2.  LP: #788514.
  
  [ Michael Vogt ]
  * automatically update the scan.data in the pre-build.sh hook
    (thanks to Steve Langasek for this suggestion)
  * updated to oneiric
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 10 Jun 2011 08:56:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,13 @@
 Priority: optional
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 XSBC-Original-Maintainer: Zygmunt Krynicki <zkrynicki@gmail.com>
-Build-Depends: debhelper (>= 5.0.38), python, python-dev, python-central (>= 0.5.6), devscripts, intltool, python-apt (>= 0.6.12), python-gdbm
+Build-Depends: debhelper (>= 5.0.38), python, python-dev (>= 2.6.6-3~), devscripts, intltool, python-apt (>= 0.6.12), python-gdbm
 Standards-Version: 3.7.2
-XS-Python-Version: all
 XS-Vcs-Bzr: http://launchpad.net/~ubuntu-core-dev/command-not-found/ubuntu
 
 Package: command-not-found
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-apt, command-not-found-data, python-gdbm, lsb-release
-XB-Python-Version: ${python:Versions}
 Description: Suggest installation of packages in interactive bash sessions
  This package will install a handler for command_not_found that looks up
  programs not currently installed but available from the repositories.

=== debian/rules ===
--- 
+++ 
@@ -109,7 +109,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-	DH_PYCENTRAL=include-links dh_pycentral
+	dh_python2
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

## command-not-found 0.2.44.1ubuntu1

=== debian/changelog ===
command-not-found (0.2.44.1ubuntu1) oneiric-proposed; urgency=low

  * updated to the latest data from oneiric (LP: #882276)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 22 Nov 2011 09:13:22 +0100

## command-not-found 0.2.46ubuntu6

=== debian/changelog ===
command-not-found (0.2.46ubuntu6) precise; urgency=low

  * Import sys again in command-not-found's KeyboardInterrupt handler
    (LP: #864461).
  * Forcibly remove /usr/lib from the start of sys.path to avoid unsightly
    ImportWarning noise (LP: #983875).
  * Update scan.data to current precise.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Apr 2012 12:35:51 +0100

command-not-found (0.2.46ubuntu5) precise; urgency=low

  * scan.data:
    - updated to current precise

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Feb 2012 18:06:00 +0100

command-not-found (0.2.46ubuntu4) precise; urgency=low

  * Fix debian/rules to work correctly when we're not building arch-indep
    packages.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Feb 2012 23:28:07 +0000

command-not-found (0.2.46ubuntu3) precise; urgency=low

  * Check for the always-present sudo group first, so that checking for
    'admin' on new installs doesn't raise a key error by mistake.
    LP: #893842.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Feb 2012 14:46:59 -0800

command-not-found (0.2.46ubuntu2) precise; urgency=low

  * use dh8 and simplify rules file
  * updated to current precise

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 03 Feb 2012 10:10:52 +0100

command-not-found (0.2.46ubuntu1) precise; urgency=low

  * merged from lp:command-not-found trunk:
    - add support for automatic install prompt (enable via the 
      COMMAND_NOT_FOUND_INSTALL_PROMPT environment)
    - fix java recommends (LP: #853688)
    - add --no-failure-msg
    - improved zsh support from Alex Jurkiewicz
    - auto-installation support for root users from Serhiy Zahoriya

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Jan 2012 10:39:15 +0100

command-not-found (0.2.45ubuntu3) precise; urgency=low

  * Use the right group name ('sudo', not 'sudoers').  LP: #893842.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Jan 2012 14:21:01 +0100

command-not-found (0.2.45ubuntu2) precise; urgency=low

  * scan.data:
    - updated to current precise

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 06 Jan 2012 11:53:21 +0100

command-not-found (0.2.44.1ubuntu3) precise; urgency=low

  * Recognize the 'sudo' group as a valid admin group as well, so that we
    return the correct error message for those with admin access.
    LP: #893842.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Jan 2012 14:47:43 -0800

command-not-found (0.2.44.1ubuntu2) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:01:46 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
 XSBC-Original-Maintainer: Zygmunt Krynicki <zkrynicki@gmail.com>
-Build-Depends: debhelper (>= 5.0.38), python, python-dev (>= 2.6.6-3~), devscripts, intltool, python-apt (>= 0.6.12), python-gdbm
+Build-Depends: debhelper (>= 8), python, python-dev (>= 2.6.6-3~), devscripts, intltool, python-apt, python-gdbm
 Standards-Version: 3.7.2
 XS-Vcs-Bzr: http://launchpad.net/~ubuntu-core-dev/command-not-found/ubuntu

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python2

override_dh_auto_build:
	dh_auto_build
	# build the binary database
	(cd UnifiedDataExtractor;  \
	 ./create-binary-database; \
	  mv *.db ../data/programs.d/)


override_dh_install: 
	dh_install
ifneq (,$(filter command-not-found,$(shell dh_listpackages)))
	# Move our script from /usr/bin to /usr/lib (not meant for end-users)
	install -d $(CURDIR)/debian/command-not-found/usr/lib
	mv $(CURDIR)/debian/command-not-found/usr/bin/command-not-found $(CURDIR)/debian/command-not-found/usr/lib/command-not-found
	rmdir --ignore-fail-on-non-empty $(CURDIR)/debian/command-not-found/usr/bin
	# Get rid of bash integration script, got merged to bash
	rm $(CURDIR)/debian/command-not-found/etc/bash_command_not_found
endif
